#ifndef __OSAL_MEM_H__
#define __OSAL_MEM_H__

#include "osal_def.h"

#ifdef __cplusplus
extern "C" {
#endif

/* Memory API */
void* osal_malloc(osal_size_t size);
void* osal_calloc(osal_size_t count, osal_size_t size);
void* osal_realloc(void* ptr, osal_size_t size);
void osal_free(void* ptr);

void* osal_malloc_align(osal_size_t size, osal_size_t align);
void osal_free_align(void* ptr);

#ifdef __cplusplus
}
#endif

#endif /* __OSAL_MEM_H__ */
